aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-requires/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-08-19 12:13:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-08-19 12:13:36 +0000
commit0a3c44107c545047d45bc6103406fa311eb73e71 (patch)
treea2c5613181caa5d2fd6b3305d65a37bba7992264 /main/perl-test-requires/APKBUILD
parentfda6355c69ba62fd9b8df65e3eec5355e5ea4cbb (diff)
downloadaports-0a3c44107c545047d45bc6103406fa311eb73e71.tar.gz
aports-0a3c44107c545047d45bc6103406fa311eb73e71.tar.bz2
aports-0a3c44107c545047d45bc6103406fa311eb73e71.tar.xz
main/perl-test-requires: upgrade to 0.07
Diffstat (limited to 'main/perl-test-requires/APKBUILD')
-rw-r--r--main/perl-test-requires/APKBUILD39
1 files changed, 20 insertions, 19 deletions
diff --git a/main/perl-test-requires/APKBUILD b/main/perl-test-requires/APKBUILD
index d9b6ff2af6..b255d683b2 100644
--- a/main/perl-test-requires/APKBUILD
+++ b/main/perl-test-requires/APKBUILD
@@ -1,39 +1,40 @@
-# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Automatically generated by apkbuild-cpan, template 1
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-test-requires
-pkgver=0.06
+_pkgreal=Test-Requires
+pkgver=0.07
pkgrel=0
-pkgdesc="Test::Requires perl module"
+pkgdesc="Checks to see if the module can be loaded"
url="http://search.cpan.org/dist/Test-Requires/"
arch="noarch"
-license="GPLv2 or Artistic"
-depends="perl"
-makedepends="perl-dev"
-install=""
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Test-Requires-$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
-_builddir="$srcdir"/Test-Requires-$pkgver
prepare() {
- local i
cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
}
build() {
cd "$_builddir"
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- make && make test || return 1
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
}
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ ./Build install destdir="$pkgdir" || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="6ce0da3cceadb6420d4c3c5bb69f64db Test-Requires-0.06.tar.gz"
+md5sums="20bdd194fd0cf59eb0cc9349a68dbaa6 Test-Requires-0.07.tar.gz"
+sha256sums="cc0273f1b68817dc715e374c7abf245f13db28223a734d2bd72ab1d48a33cef0 Test-Requires-0.07.tar.gz"
+sha512sums="65fca6f894181e8b642628aaa388ee0f45d1269729c45ced7a9c04053511351416a97c9114696b38ae1294299931e987a203a2553095668557748bb223719a8b Test-Requires-0.07.tar.gz"